Skip to main content
DELETE
/
policies
/
{policyName}
Delete governance policy
curl --request DELETE \
  --url https://api.blaxel.ai/v0/policies/{policyName} \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {
    "name": "my-resource",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "createdBy": "<string>",
    "updatedBy": "<string>",
    "displayName": "My Resource",
    "labels": {},
    "plan": "<string>",
    "url": "<string>",
    "workspace": "<string>"
  },
  "spec": {
    "flavors": [
      {
        "name": "t4",
        "type": "cpu"
      }
    ],
    "locations": [
      {
        "name": "EU",
        "type": "continent"
      }
    ],
    "maxTokens": {
      "granularity": "minute",
      "input": 10000,
      "output": 5000,
      "ratioInputOverOutput": 2,
      "step": 1,
      "total": 15000
    },
    "resourceTypes": [],
    "sandbox": false,
    "type": "location"
  },
  "usage": {
    "agents": 123,
    "functions": 123,
    "jobs": 123,
    "models": 123,
    "sandboxes": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

policyName
string
required

Unique name identifier of the policy

Response

200 - application/json

successful operation

Rule that controls how a deployment is made and served (e.g. location restrictions)

metadata
object
required

Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information

spec
object
required

Policy specification

usage
object

Per-resource counts of how many resources reference a policy. Computed by the policies listing endpoint to avoid client-side fan-out across the agents/models/functions/sandboxes/jobs listings.

Last modified on May 27, 2026